package ink.wgink.module.activiti.enums.oa;

/**
 * @ClassName: SelectAssigneeTypeEnum
 * @Description: 选择代理人类型
 * @Author: wanggeng
 * @Date: 2022/4/22 17:00
 * @Version: 1.0
 */
public enum SelectAssigneeTypeEnum {
    CHECKBOX("checkbox", "多选"),
    RADIO("radio", "单选");

    private String value;
    private String summary;

    SelectAssigneeTypeEnum(String value, String summary) {
        this.value = value;
        this.summary = summary;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getSummary() {
        return summary == null ? "" : summary.trim();
    }
}
